
Core - Bug # 56310

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Bug # 52949 (Resolved): Speed decrease since 4.5
Bug # 56307 (Accepted): Findings from Bootstrap/PackageManager/ClassLoader analyses

Status: Resolved Priority: Should have
Author: Steffen Ritter Category:
Created: 2014-02-26 Assigned To: Thomas Maroschik
Updated: 2014-03-16 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: The PackageManager checks every boot if all required packages are active
Description

The package manager checks in every initialize() if all required-extensions are active or activates them.

I would opt to trust that the PackageStates cache, put the list of required extensions there, too in order to define the constant.

Associated revisions
Revision 64c46b91 - 2014-03-15 23:52 - Thomas Maroschik

[TASK] Improve performance of Bootstrap/PackageManager

This patch is a combined patch which tries to address
the findings from the Bootstrap/PackageManager/ClassLoader
performance analysis.

Resolves: #56934
Resolves: #56310
Resolves: #56331
Resolves: #56341
Resolves: #56538
Releases: 6.2
Change-Id: I269159906534f58eff59973ab30e170fadac10e4
Reviewed-on: https://review.typo3.org/28329
Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

History
#1 - 2014-03-04 17:07 - Thomas Maroschik
- Status changed from New to Accepted
- Assigned To set to Thomas Maroschik

#2 - 2014-03-15 13:49 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28329

#3 - 2014-03-15 23:09 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28329

#4 - 2014-03-15 23:36 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28329

#5 - 2014-03-16 00:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:64c46b918ef016bdd1d799c5ca06e868d601f692.
